Screen flickers heavily (combination of many distinct bugs)

Bug #945006 reported by Christos Sintoris
188
This bug affects 38 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
High
Unassigned

Bug Description

When the welcome screen is displayed, the screen begins to flicker heavily, regardless of the window manager used

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+10ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-17.27-generic-pae 3.2.6
Uname: Linux 3.2.0-17-generic-pae i686
.tmp.unity.support.test.0:

ApportVersion: 1.93-0ubuntu2
Architecture: i386
CheckboxSubmission: dbc6882dda68b8df1834d327afebfa87
CheckboxSystem: b845c366ea09c60efa3a45c1b5b21525
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
Date: Fri Mar 2 19:57:40 2012
DistUpgraded: Log time: 2012-03-02 11:17:58.558053
DistroCodename: precise
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
 Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:30eb]
   Subsystem: Hewlett-Packard Company Device [103c:30eb]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
MachineType: Hewlett-Packard HP EliteBook 2730p
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic-pae root=UUID=4fd44d04-58f5-4e98-96eb-7d9fed249cb2 ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: Upgraded to precise on 2012-03-02 (0 days ago)
dmi.bios.date: 06/24/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68POU Ver. F.08
dmi.board.name: 30EB
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 04.1D
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68POUVer.F.08:bd06/24/2009:svnHewlett-Packard:pnHPEliteBook2730p:pvrF.08:rvnHewlett-Packard:rn30EB:rvrKBCVersion04.1D:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP EliteBook 2730p
dmi.product.version: F.08
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.7.0~bzr2995-0ubuntu5
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.1-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.1-0ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901+git20120126-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Revision history for this message
Christos Sintoris (sintoris) wrote :
Revision history for this message
Fabio Marconi (fabiomarconi) wrote :

Hello
From BootDmesg.log
[ 0.000000] Your BIOS is broken; DMAR reported at address 0!
[ 0.000000] BIOS vendor: Hewlett-Packard; Ver: 68POU Ver. F.08; Product Version: F.08

can you try to fix this on first ?
Thanks
Fabio
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in ubuntu:
status: New → Incomplete
Revision history for this message
Christos Sintoris (sintoris) wrote :

Hi,

The flickering appeared only after I installed 12.04 beta 1, so I think the BIOS is broken warning is unrelated.
Also when I connect an external monitor to the VGA port, the flickering disappears completely. It seems to me that this is a problem of graphics drivers.

Thanks

Revision history for this message
Fabio Marconi (fabiomarconi) wrote :

Hello, is this a crt monitor or a LCD ?

---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

affects: ubuntu → xorg (Ubuntu)
Revision history for this message
Fabio Marconi (fabiomarconi) wrote :

The flickering one I mean

Revision history for this message
Christos Sintoris (sintoris) wrote :

The monitor that flickers is the built-in LCD display of the laptop (HP Elitebook 2730p).

I booted 12.04 B1 with nomodeset boot option and there was no flickering (but otherwise wrong display resolution).
I reverted to 11.10, and the flickering stopped.
I will install 12.04 B1 from scratch, instead of upgrading, to see if the problem re-appears

Revision history for this message
Christos Sintoris (sintoris) wrote :

I booted a live usb stick with 12.04 Beta 1 on the laptop, and the screen flickers when the installer starts.

Changed in xorg (Ubuntu):
status: Incomplete → New
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Try with the latest precise kernel (-18), and if it isn't better, try a mainline kernel from here:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-rc6-precise/

affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
bugbot (bugbot)
tags: added: flicker
Revision history for this message
Christos Sintoris (sintoris) wrote :

I tried the latest mainline kernel: 3.3.0-030300rc6-generic-pae

Flickering is still there and unchanged.

Revision history for this message
Bryce Harrington (bryce) wrote :

You mentioned this started after installing beta1. Did you have linux installed on the system prior to that? If so, what is the most recent version where you did *not* see the flickering?

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → High
tags: removed: single-occurrence
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Christos Sintoris (sintoris) wrote :

I run this machine with Ubuntu for a couple of years. The most recent version was 11.10. I upgraded to 12.04 beta 1 and flickering started. I installed 11.10 again and flickering stopped. Today I install 12.04 beta again and then installed mainline kernel RC6 and there is still heavy flickering/

Revision history for this message
Arkadiusz Dziób (arkadiusz.dziob) wrote :

Confirmed.
My LCD screen started to flicer after installation of graphic drivers (Nvidia).

It seems the problem is somwhere before graphic driver initialization.

After switching from Auto to fixed rate 50Hz or 60Hz (Refresh rate => NVidia XServer settings) flickering stopped.

Revision history for this message
Arkadiusz Dziób (arkadiusz.dziob) wrote :

But, after reboot screen starts to flicker again. Ubuntu does not save, ignores or overwrites previus setup.
In andvanced screen config (NV) system switches display to interlaced mode every reboot

Revision history for this message
Bryce Harrington (bryce) wrote :

Christos, ok. Would it be possible for you to post an Xorg.0.log, xrandr --verbose, and dmesg from 11.10, that we can use to compare? Might be just a change in the modeline logic.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Revision history for this message
Christos Sintoris (sintoris) wrote :

Yes, here they are

Revision history for this message
Christos Sintoris (sintoris) wrote :
Revision history for this message
Christos Sintoris (sintoris) wrote :
Bryce Harrington (bryce)
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
ses (sessterling) wrote :

Hello

same problem for me: my system is installed for years now. Dual screen LCD with
00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)

Early release of 12.04 beta was working fine.
now entering Unity / Gnome3 the main monitor starts flickering (like a wrong horizontal refresh rate, changing when the mouse moves)

gnome-fallback and KDE are working fine.

Revision history for this message
Magnus Sandin (muk) wrote :

I'm not sure if my problem is exactly the same as this, but I also get heavy flickering and graphic bugs that was not present in 11.10.

My work around:
I compiled and installed the nvidia-current package from 11.10 (version 280.13-0ubuntu6.1) for 12.04 amd64.
Then I had to add the following to my /etc/X11/xorg.conf

 Section "ServerFlags"
     Option "IgnoreABI" "1"
 EndSection

I also added the following line to /etc/modprobe.d/blacklist.conf (Not sure if this is necessary)
 blacklist nouveau

So far I have had no flickering.

My compiled version of the driver can be found at: http://www.sandin.cx/nvidia-current_280.13-0ubuntu6.1_amd64.deb

Revision history for this message
attero (attero) wrote :

This problem will occur with kernel version 3.1 or higher on my 2730p.

For the 2730p, this seems to have been fixed, according to https://bugs.freedesktop.org/show_bug.cgi?id=43123.
The patch mentioned there also solves another video issue, see https://bugs.launchpad.net/gentoo/+bug/796030.

Please test the kernel in the proposed repository.

Revision history for this message
Joe Jasinski (joe-jasinski) wrote :

Seems I have the same situation. I had been upgrading Ubuntu successfully for years. Was currently at 11.10 when I upgraded today to 12.04. The flickering occurs when I try to log into Unity or KDE. More specifically, I'm using two monitors. One of the monitors goes crazy (moving the mouse causes one of the monitors to scroll like a horizontal refresh issue). The other monitor is ok until I logout. When I logout or try to restart gdm, both monitors start flicking and the only thing that fixes is a reboot.

My work-around so far has been to unplug one of my monitors, but this is not ideal at all. I don't have an /etc/X11/xorg.conf file and am not sure what defaults it takes (if I want to make edits to it).

lspci
00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)

Revision history for this message
Arkadiusz Dziób (arkadiusz.dziob) wrote :

I think this might help someone to track it:
After switching from HDMI cable to simple D-SUB, display is correct (no interlce).

Revision history for this message
a.schrell (as-schrell) wrote :

For me its an external LCD attached to the on board VGA plug. Happens only on this system, works on another similar system with the same VGA controller:

VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)

Unplugging/replugging does not help.

Andreas

Revision history for this message
jbeezo (jbeezo) wrote :

For me it happens on an Nvidia GeForce 7900 GS and only since 12.04 final (fresh install yesterday ,fully up to date with the 295.40 Nvidia proprietaries). My monitor is an ASUS MS238. While at the jittery login screen, the monitor reports 1920x1080@25Hz. Once logged in the monitor reports 1920x1080@60Hz. Tried multiple xorg.conf combinations, but it always seems to be 25Hz at the login screen.
With 12.04 on my much newer Acer AS5750 laptop, the problem is non-existent.

Revision history for this message
Bradley Putzier (bradputzier) wrote :

My LCD also flickers on Acer laptop with Intel Graphics. Not sure if linked to the fact that the laptop has optimus, although not working in ubuntu.

Revision history for this message
a.schrell (as-schrell) wrote :

just checked Kernel 3.4:

Linux ally 3.4.0-030400rc6-generic #201205061835 SMP Sun May 6 22:36:08 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Does not solve the problem.

Andreas

Revision history for this message
Tobias Knoth (tobias-knoth) wrote :

Hi there,
i am using a 2730p too. I installed 12.04 and upgraded to the newest available kernel and there isn't any flickering at my screen. The laptop has Intel Graphics. I am using the vga output at 1080p and the laptop screen at the same time without flickering.

Revision history for this message
Tobias Knoth (tobias-knoth) wrote :

I remember that the issue appeared at my laptop with precise kernel < 3.2.0-24.37. With precise kernel version >= 3.2.0-24.37 this bug disappeared.

Revision history for this message
Christos Sintoris (sintoris) wrote :

Hi,

after reading comment #27, I upgraded again from 11.10 to 12.04 and the problem has disappeared almost completely.
Now there is no flickering during regular use of the laptop.

There is a small nuisance left though, don't know if it is worth fixing. Short flickering appears during logging in:
1. Boot laptop
2. Enter the password and press enter
3. Wait for log in <- flickering occurs here
4. Before Unity appears the flickering stops

Chris

Revision history for this message
IVXCVI (ivxcvi) wrote :

I am experiencing this bug as well. I tried upgrading the kernel and it did not help anything. I reinstalled both 12.04 and Mint Maya several times and the problem always persists. What can I do to try to find out what is causing this problem?

Tim

Revision history for this message
Mike Shaddock (mshaddock) wrote :

I'm seeing the same problem on my desktop system (Dell 745), although mine is more like #18 than some of the other descriptions. I'm running Mint 13 (based on Ubuntu 12.04), kernel 3.2.0-26-generic. The version of xserver-xorg-video-intel is 2:2.17.0-1ubuntu4. Mint 12 has been working fine for months on this system.

The easiest way that I've found to reproduce is to try unmirroring or mirroring the displays. Trying to change the resolution of a monitor usually causes it too.

Revision history for this message
Stéphane Guillou (stephane-guillou) wrote :

I think I have the same problem on my Samsung N310 netbook with 12.04 since a few days ago. The screen flickers when I boot up, it starts when the purple screen with Ubuntu logo shows up, and doesn't seem to stop until I play with the brightness hotkeys.

It seems to be linked with a problem that appeared at the same time: I can sometimes use my brightness hotkeys only for minimum, 1st level and max level, or sometimes it is just minimum and 1s level that are available.

This is just recent, it started maybe 4 days ago, must have come with an update...

Revision history for this message
Hendrik Knackstedt (hennekn) wrote :

Also experiencing this on a desktop running Lubuntu 12.04 with a LCD display. Starts when log in screen appears. Flickering stops after waiting for about 2-3 minutes.

Revision history for this message
Axel (axelitus) wrote :

I seem to have the same problem here. I was running ubuntu 12.04 with kernel 3.2.0-26-generic-pae just fine on my laptop (Samsung NP530U4B) when a kernel update came along. It updated to 3.2.0-27-generic-pae and the flickering began. At first it all seemed fine, until the screen was dimmed because of inactivity and the screen started flickering. All this flickering blocked everything (I could move the mouse but the clicks were not responding). The flickering seemed to stop at random (sometimes playing with the brightness buttons) or not at all (I had to power off my laptop). This also happens with the recent kernel version (3.2.0-29-generic-pae) which I've just installed.

At the moment I'm stuck with running in 3.2.0-26-generic-pae where this flickering is not an issue... hopefully this gets fixed soon in the kernel (or the video drivers, whichever is the problem here...)

Revision history for this message
Stéphane Guillou (stephane-guillou) wrote :

Dear Alex

Could you check if that bug is more like it: Bug #1028151
I have the EXACT same problem as yours (on a Samsung N310), and when I described it in there, I have been asked to report a separate bug which was directly reported as a Bug #1028151 duplicate.
It could help if you reiterated this same comment there.

Cheers!

Revision history for this message
M. Nease (mlnease-hctc) wrote :

Hello,

I've had the identical problem (to 18 & 31) on several attempted installations of Ubuntu 12.04. Actually, no flickering but the wrong screen resolution until I change the refresh rate from 60 (incorrect) to 75 (correct). Then uncontrollable flickering. The wrong screen size I can live with but the flickering disables the machine (Dell Optiplex 745).
Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)
video 20623 1 i915

I dual boot with Ubuntu 10.04 (where the graphics card works perfectly). The 12.04 file system is still intact. If anyone could advise me where I can change the refresh rate in 12.04 from 10.04, I'd be grateful for the workaround until a better solution is available.

Revision history for this message
Mikael Andersson (qubex2) wrote :

I still have this problem. And I use Ubuntu in my work. It's so annoying.

Revision history for this message
Alexander Bumgardner (spungotomer42) wrote :

Hey guys,

I have a Samsung NP300V5a, and I reported the exact same issue as bug # 1028723. They decided it was the same bug as #1028151, and that is where I have been directed to continue commenting.

In any case, I just tested the latest upstream ubuntu kernel at http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/.
I believe it has resolved the issue, but I am going to wait a day or so to make sure. I know it might take some time to prepare an official ubuntu update, so I am extremely tempted just to keep using this new kernel. Anyway, check up on #1028151, hopefully they will see the testing and then help all of us out. This was never a problem with 11.10! Oh well!

Revision history for this message
M. Nease (mlnease-hctc) wrote :

Hello,

I'd also like to test the kernel at http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/ but really don't know how to go about it. Can anyone please direct me to a tutorial or suggest a source for this info? Thanks in advance.

Revision history for this message
linucks (linucks42) wrote :

Hi,

I've just installed a fresh version of 12.04 on my machine and am having terrible problems with the screen flickering/going blank for several seconds as well (it was fine with the previous 10.04 version).

lspci lists the graphics card as:
03:00.0 VGA compatible controller: NVIDIA Corporation G98 [Quadro NVS 295] (rev a1) (prog-if 00 [VGA controller])

I'm using the kernel: 3.2.0-33-generic and haven't installed any additional drivers.

I'm happy to supply any additional information if it would be helpful.

Revision history for this message
MasterCATZ (mastercatz) wrote :

Ubuntu 12.10

mine was fine until I tried enabling ati power save feature then the flicker popped up and no matter what i have tried i can not get it to go back to normal

even erased xorg.conf and tried purging xserver-xorg-video-*

echo dynpm > /sys/class/drm/card0/device/power_method
was all I did and even after reboot it defaulted back to profile / default anyhow

if I install fglrx screen flicker stops

but because all I get is a black screen when i drop into terminals ( ALT + F1 ect ) and the when ever i turn of / on another monitor my desktops get stuffed up i really want to use the open source drivers

lspci -nn | grep VGA
00:01.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI Trinity [Radeon HD 7660D] [1002:9901]

 uname -a
Linux aio 3.6.5-030605-generic #201211011211 SMP Thu Nov 1 16:12:46 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

currently thats the highest kernel version I can use as I need ZFS support

Revision history for this message
linucks (linucks42) wrote :
Download full text (3.3 KiB)

Hi,

Just to add to my previous comment (#40). I'm still experiencing problems and have the latest nvidia drivers installed. I tried running "unity --reset" as suggested in some posts I'd read from people experiencing similar problems. This gave the following:

WARNING: Unity currently default profile, so switching to metacity while resetting the values
pkill: 12783 - Operation not permitted
unity-panel-service(12896): Operation not permitted
Checking if settings need to be migrated ...no
Checking if internal files need to be migrated ...no
Backend : gconf
Integration : true
Profile : unity
Adding plugins
Initializing core options...done
compiz (core) - Warn: failed to receive ConfigureNotify event on 0x1200004

compiz (core) - Warn: failed to receive ConfigureNotify event on 0x26000b8

Initializing composite options...done
Initializing opengl options...done
Initializing decor options...done
Initializing vpswitch options...done
Initializing snap options...done
Initializing mousepoll options...done
Initializing resize options...done
Initializing place options...done
Initializing move options...done
Initializing wall options...done
Initializing grid options...done
Initializing session options...done
Initializing gnomecompat options...done
Initializing animation options...done
Initializing fade options...done
Initializing unitymtgrabhandles options...done
Initializing workarounds options...done
Initializing scale options...done
compiz (expo) - Warn: failed to bind image to texture
Initializing expo options...done
Initializing ezoom options...done

(compiz:2630): GConf-CRITICAL **: gconf_client_add_dir: assertion `gconf_valid_key (dirname, NULL)' failed
Initializing unityshell options...done
compiz (core) - Warn: unhandled ConfigureNotify on 0xc000a1!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
compiz (core) - Warn: unhandled ConfigureNotify on 0xc000a4!
compiz (core) - Warn: this should never happen. you should probably file a bug about this.
WARN 2013-01-28 13:50:06 unity.libindicator <unknown>:0 Desktop file '/usr/share/applications/libreoffice-writer.desktop' is using a deprecated format for its actions that will be dropped soon.
WARN 2013-01-28 13:50:06 unity.libindicator <unknown>:0 Desktop file '/usr/share/applications/libreoffice-calc.desktop' is using a deprecated format for its actions that will be dropped soon.
WARN 2013-01-28 13:50:06 unity.libindicator <unknown>:0 Desktop file '/usr/share/applications/libreoffice-impress.desktop' is using a deprecated format for its actions that will be dropped soon.
WARN 2013-01-28 13:50:06 unity.libindicator <unknown>:0 Desktop file '/usr/share/applications/chromium-browser.desktop' is using a deprecated format for its actions that will be dropped soon.
Initializing staticswitcher options...done
ERROR 2013-01-28 13:50:06 unity.glib-gobject <unknown>:0 g_object_unref: assertion `G_IS_OBJECT (object)' failed
Setting Update "main_menu_key"
Setting Update "run_key"
WARN 2013-01-28 13:50:45 unity <unknown>:0 Unable to fetch children: No such interface `org.ayatana.bamf.view' on object at path /org/ayatana/bamf/application1932146384

The script...

Read more...

Revision history for this message
Chris Wilson (ickle) wrote :

So everybody seems to have a separate bug just with a similar artifact. Can you please file separate reports so that we can actually begin addressing the issue.

The original bug here relates to automatic downclocking of the LVDS output as a powersaving feature on old Intel gfx. There are patches to align that to vblank that I have been waiting years to find someone in the position to test them....

summary: - Screen flickers heavily after upgrading to 12.04 beta 1
+ Screen flickers heavily (combination of many distinct bugs)
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.